Get billing configuration
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Billing
Get billing configuration
Returns the effective payment provider and current plan for the authenticated tenant.
GET
/
v1
/
billing
/
config
Get billing configuration
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/config
Response
string
The country code used for provider routing.
string
The payment provider selected for this region (
stripe, paystack, or flutterwave).string[]
All providers available in this region.
string
The tenant’s active plan key (
FREE, STARTER, BUSINESS, or ENTERPRISE).Provider routing by region
| Region | Available providers | Default |
|---|---|---|
| Global (default) | Stripe | Stripe |
| Nigeria (NG) | Paystack, Flutterwave | Paystack |
| Africa (non-NG) | Flutterwave | Flutterwave |

